=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2009-04-06 08:17:53 +0000
+++ bzrlib/osutils.py	2009-04-06 14:01:16 +0000
@@ -1030,9 +1030,10 @@
     return current[len(abs_base)+1:]
 
 # XXX - TODO - we need better detection/integration of case-insensitive
-# file-systems; Linux often sees FAT32 devices, for example, so could
-# probably benefit from the same basic support there.  For now though, only
-# Windows gets that support, and it gets it for *all* file-systems!
+# file-systems; Linux often sees FAT32 devices (or NFS-mounted OSX
+# filesystems), for example, so could probably benefit from the same basic
+# support there.  For now though, only Windows and OSX get that support, and
+# they get it for *all* file-systems!
 if sys.platform in ('win32', 'darwin'):
     canonical_relpath = _cicp_canonical_relpath
 else:

=== modified file 'bzrlib/tests/blackbox/test_export.py'
--- bzrlib/tests/blackbox/test_export.py	2009-04-06 07:31:02 +0000
+++ bzrlib/tests/blackbox/test_export.py	2009-04-06 14:01:16 +0000
@@ -67,7 +67,10 @@
 
     def test_tar_export_unicode(self):
         tree = self.make_branch_and_tree('tar')
-        fname = u'\xe5.txt'
+        # FIXME: using fname = u'\xe5.txt' below triggers a bug revealed since
+        # bzr.dev revno 4216 but more related to OSX/working trees/unicode than
+        # export itself.
+        fname = u'\N{Euro Sign}.txt'
         try:
             self.build_tree(['tar/' + fname])
         except UnicodeError:
@@ -108,7 +111,7 @@
 
     def test_zip_export_unicode(self):
         tree = self.make_branch_and_tree('zip')
-        fname = u'\xe5.txt'
+        fname = u'\N{Euro Sign}.txt'
         try:
             self.build_tree(['zip/' + fname])
         except UnicodeError:

=== modified file 'bzrlib/tests/test_export.py'
--- bzrlib/tests/test_export.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/test_export.py	2009-04-06 14:01:16 +0000
@@ -16,17 +16,21 @@
 
 import os
 
-from bzrlib.export import export
-from bzrlib.tests import TestCaseWithTransport
-
-
-class TestExport(TestCaseWithTransport):
+
+from bzrlib import (
+    export,
+    tests,
+    )
+
+
+class TestExport(tests.TestCaseWithTransport):
 
     def test_dir_export_missing_file(self):
         self.build_tree(['a/', 'a/b', 'a/c'])
         wt = self.make_branch_and_tree('.')
         wt.add(['a', 'a/b', 'a/c'])
         os.unlink('a/c')
-        export(wt, 'target', format="dir")
+        export.export(wt, 'target', format="dir")
         self.failUnlessExists('target/a/b')
         self.failIfExists('target/a/c')
+

